
Redmine - Defect #17887

NoMethodError (undefined method `downcase' for nil:NilClass):

2014-09-16 14:10 - Tristan S.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.5.2

Description

When I follow the instructions at 

http://www.redmine.org/projects/redmine/wiki/HowTo_keep_in_sync_your_git_repository_for_redmine and point the repository to the

just mirrored git repo, I get a Redmine 500 error, with the following in the production log:

NoMethodError (undefined method `downcase' for nil:NilClass):

app/models/changeset.rb:100:in `scan_for_issues'

app/models/repository/git.rb:218:in `save_revision'

app/models/repository/git.rb:207:in `block (2 levels) in save_revisions'

app/models/repository/git.rb:204:in `block in save_revisions'

app/models/repository/git.rb:203:in `each'

app/models/repository/git.rb:203:in `save_revisions'

app/models/repository/git.rb:153:in `fetch_changesets'

app/controllers/repositories_controller.rb:114:in `show'

History

#1 - 2014-09-16 14:11 - Tristan S.

Environment:

Redmine version                2.5.1.stable.13174

Ruby version                   2.0.0-p481 (2014-05-08) [x86_64-linux]

Rails version                  3.2.18

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.1

#2 - 2014-09-16 14:45 - Toshi MARUYAMA

- Category changed from Importers to SCM

#3 - 2014-09-16 15:02 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Log says Setting.commit_ref_keywords is nil.

source:tags/2.5.2/app/models/changeset.rb#L118

It seems your Redmine installation is broken.

#4 - 2014-09-16 15:39 - Tristan S.

Toshi MARUYAMA wrote:

It seems your Redmine installation is broken.

 It's a fresh install... Just updated (via "svn update") to 2.5.2.stable.13410 and still the same problem. How is my installation broken?

#5 - 2014-09-25 12:16 - Masato NODA

I guess that settings table has NULL value when name = 'commit_ref_keywords' or your config/setting.yml is broken.

Because, if settings table doesn't have row when name = 'commit_ref_keywords', Setting.commit_ref_keywords returns value of

commit_ref_keywords.default in config/setting.yml
#6 - 2014-11-17 03:13 - Terry Hwang

Masato NODA wrote:

I guess that settings table has NULL value when name = 'commit_ref_keywords' or your config/setting.yml is broken.

Because, if settings table doesn't have row when name = 'commit_ref_keywords', Setting.commit_ref_keywords returns value of

commit_ref_keywords.default in config/setting.yml

 Hello Masato NODA and Tristan,

I have same problem in one of two redmine systems only when I connected HTTPS subversion.

The db table had a value "refs,references,IssueID" for name "commit_ref_keywords".

working system's environment:

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.9

Git                            1.9.0

Filesystem

Redmine plugins:

no plugin installed

System not working:

Environment:

Redmine version                2.5.2.stable

Ruby version                   2.0.0-p481 (2014-05-08) [i386-mingw32]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Git                            1.9.4

Filesystem

Redmine plugins:

clipboard_image_paste          1.8

issue_id                       0.0.1b

redmine_agile                  1.3.3

redmine_code_review            0.6.3

redmine_didyoumean             1.2.0

redmine_hudson                 2.1.2

redmine_monitoring_controlling 0.1.1

redmine_wiki_lists             0.0.3

sidebar_hide                   0.0.7

#7 - 2015-08-23 17:03 - Jan Niggemann (redmine.org team member)

- Resolution set to No feedback

#8 - 2024-10-20 11:43 - Go MAEDA

- Status changed from Needs feedback to Closed
